<?php

// Sticky menu options.
$wp_customize->add_section(
	'sticky_menu_options',
	array(
		'title' => __( 'Sticky Menu Options', 'magazine-elite' ),
		'panel' => 'header_options_panel',
	)
);


/*Enable Sticky Menu*/
$wp_customize->add_setting(
	'enable_sticky_menu',
	array(
		'default'           => $theme_options_defaults['enable_sticky_menu'],
		'sanitize_callback' => 'magazine_elite_sanitize_checkbox',
	)
);
$wp_customize->add_control(
	new Magazine_Elite_Toggle_Control(
		$wp_customize,
		'enable_sticky_menu',
		array(
			'label'   => __( 'Enable Sticky Menu', 'magazine-elite' ),
			'section' => 'sticky_menu_options',
		)
	)
);