<?php

/* Theme Widget sidebars. */
require get_template_directory() . '/inc/widgets/widget-sidebars.php';
require get_template_directory() . '/inc/widgets/widget-base/abstract-widget-base.php';

require get_template_directory() . '/inc/widgets/class-heading.php';
require get_template_directory() . '/inc/widgets/class-ads-code.php';
require get_template_directory() . '/inc/widgets/class-grid-posts.php';
require get_template_directory() . '/inc/widgets/class-list-posts.php';
require get_template_directory() . '/inc/widgets/class-recent-posts.php';
require get_template_directory() . '/inc/widgets/class-popular-posts.php';
require get_template_directory() . '/inc/widgets/class-social-menu.php';
require get_template_directory() . '/inc/widgets/class-author-info.php';
require get_template_directory() . '/inc/widgets/class-mailchimp-form.php';
require get_template_directory() . '/inc/widgets/class-call-to-action.php';
require get_template_directory() . '/inc/widgets/class-tab-posts.php';
require get_template_directory() . '/inc/widgets/class-posts-carousel.php';
require get_template_directory() . '/inc/widgets/class-post-ids-special-grid.php';

/* Register site widgets */
if ( ! function_exists( 'magazine_elite_widgets' ) ) :
	/**
	 * Load widgets.
	 *
	 * @since 1.0.0
	 */
	function magazine_elite_widgets() {
		register_widget( 'Magazine_Elite_Heading' );
		register_widget( 'Magazine_Elite_Ads_Code' );
		register_widget( 'Magazine_Elite_Grid_Posts' );
		register_widget( 'Magazine_Elite_List_Posts' );
		register_widget( 'Magazine_Elite_Recent_Posts' );
		register_widget( 'Magazine_Elite_Popular_Posts' );
		register_widget( 'Magazine_Elite_Social_Menu' );
		register_widget( 'Magazine_Elite_Author_Info' );
		register_widget( 'Magazine_Elite_Mailchimp_Form' );
		register_widget( 'Magazine_Elite_Call_To_Action' );
		register_widget( 'Magazine_Elite_Tab_Posts' );
		register_widget( 'Magazine_Elite_Posts_Carousel' );
		register_widget( 'Magazine_Elite_Post_Ids_Special_Grid' );
	}
endif;
add_action( 'widgets_init', 'magazine_elite_widgets' );
