<?php
/**
 * Show the appropriate content for the Image post format.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Magazine_Elite
 * @since Magazine_Elite 1.0.0
 */

// If there is no featured-image, print the first image block found.
if ( has_block( 'core/image', get_the_content() ) ) {
	magazine_elite_print_first_instance_of_block( 'core/image', get_the_content() );
}

// Add the excerpt.
if ( get_theme_mod( 'show_archive_excerpt', true ) ) {
	magazine_elite_the_archive_excerpt();
}
