<?php
$access_bar_info_page_id = magazine_elite_get_accessbar_info_page();
if ( $access_bar_info_page_id ) :
	$access_bar_info_page_data = get_post( absint( $access_bar_info_page_id ) );
	if ( $access_bar_info_page_data ) :
		?>
		<div class="magazine-elite-canvas-modal magazine-elite-accessbar-block">
			<button class="close-canvas-modal magazine-elite-accessbar-modal-close toggle fill-children-current-color">
				<span class="screen-reader-text"><?php esc_html_e( 'Close AccessBar Modal', 'magazine-elite' ); ?></span>
				<?php magazine_elite_the_theme_svg( 'modal-close' ); ?>
			</button>
			<div class="accessbar-info-page-content">
				<div class="wide-max-width">
					<?php echo apply_filters( 'the_content', $access_bar_info_page_data->post_content ); ?>
				</div>
			</div>
		</div>
		<?php
	endif;
endif;
