<?php
/**
 * Displays the site navigation.
 *
 * @package Magazine_Elite
 */

$is_sticky = get_theme_mod( 'enable_sticky_menu', true );
$class     = $is_sticky ? ' sticky-menu' : '';
$class    .= magazine_elite_get_menu_bar_border();
?>
<div class="site-header-row-wrapper magazine-elite-primary-bar-row<?php echo esc_attr( $class ); ?>">
	<div class="primary-bar-row-wrapper">
		<div class="wrapper">
			<div class="magazine-elite-primary-bar-wrapper">

				<?php do_action( 'magazine_elite_primary_nav_items' ); ?>

				<div class="secondary-navigation magazine-elite-secondary-nav">
					<?php do_action( 'magazine_elite_secondary_nav_items' ); ?>
				</div>

			</div>
			
		</div>
	</div>
</div>