<header class="entry-header">

	<?php 
	$cat_position = get_theme_mod( 'single_category_position', 'after_content' );
	if ( 'before_title' == $cat_position ) {
		magazine_elite_single_categories( $enabled_post_meta );
	}
	?>

	<?php do_action( 'magazine_elite_single_before_title' ); ?>

	<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>

	<?php do_action( 'magazine_elite_single_after_title' ); ?>
	
	<?php if ( 'post' === get_post_type() ) : ?>
		<div class="entry-meta">
			<?php 
			$meta_settings = array(
				'date_format'  => get_theme_mod( 'single_date_format', 'format_2' ),
				'author_image' => get_theme_mod( 'enable_single_author_image' ),
			);
			magazine_elite_post_meta_info( $enabled_post_meta, $meta_settings ); 
			?>
		</div><!-- .entry-meta -->
	<?php endif; ?>

</header><!-- .entry-header -->
