<?php
$wp_customize->add_section(
	'global_buttons_options',
	array(
		'title' => __( 'Buttons Options', 'magazine-elite' ),
		'panel' => 'misc_options_panel',
	)
);

/*Text Color*/
$wp_customize->add_setting(
	'global_buttons_text_color',
	array(
		'default'           => $theme_options_defaults['global_buttons_text_color'],
		'sanitize_callback' => 'sanitize_hex_color',
	)
);
$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'global_buttons_text_color',
		array(
			'label'   => __( 'Buttons Text Color', 'magazine-elite' ),
			'section' => 'global_buttons_options',
			'type'    => 'color',
		)
	)
);

/*Background Color*/
$wp_customize->add_setting(
	'global_buttons_bg_color',
	array(
		'default'           => $theme_options_defaults['global_buttons_bg_color'],
		'sanitize_callback' => 'sanitize_hex_color',
	)
);
$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize,
		'global_buttons_bg_color',
		array(
			'label'   => __( 'Buttons Background Color', 'magazine-elite' ),
			'section' => 'global_buttons_options',
			'type'    => 'color',
		)
	)
);
