<?php
/**
 * Show the appropriate content for the Audio post format.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Magazine_Elite
 * @since Magazine_Elite 1.0.0
 */

$content = get_the_content();

if ( has_block( 'core/audio', $content ) ) {
	magazine_elite_print_first_instance_of_block( 'core/audio', $content );
} elseif ( has_block( 'core/embed', $content ) ) {
	magazine_elite_print_first_instance_of_block( 'core/embed', $content );
} else {
	magazine_elite_print_first_instance_of_block( 'core-embed/*', $content );
}

// Add the excerpt.
if ( get_theme_mod( 'show_archive_excerpt', true ) ) {
	magazine_elite_the_archive_excerpt();
}
