<?php
/**
 * Displays after home widget area.
 *
 * @package Magazine_Elite
 */

if ( is_active_sidebar( 'below-homepage-widget-area' ) ) :

	$heading_style = ' saga-title-style-' . get_theme_mod( 'below_home_widgetarea_heading_style', 'style_1' );
	$heading_align = ' saga-title-align-' . get_theme_mod( 'below_home_widgetarea_heading_align', 'left' );
	$class         = $heading_style . $heading_align;
	$class         = apply_filters( 'below_home_widgetarea_wrapper_class', $class );
	?>
	<div class="below-home-widget-region <?php echo esc_attr( $class ); ?>" role="complementary">
		<?php do_action( 'below_home_widgetarea_top' ); ?>
		<div class="general-widget-area">
			<?php dynamic_sidebar( 'below-homepage-widget-area' ); ?>
		</div>
		<?php do_action( 'below_home_widgetarea_bottom' ); ?>
	</div>
	<?php

endif;
